- name: 'id'
  description: 'Get component instance ID'
- name: 'index'
  description: 'Get active item index'
- name: 'length'
  description: 'Get number of items'
- name: 'slides'
  description: 'Get all items as array'
- name: 'slidesToScroll'
  description: 'Get current slidesToScroll'
- name: 'slidesToShow'
  description: 'Get current slidesToShow'
- name: 'direction'
  description: 'Get direction (rtl or ltr)'
- name: 'wrapper'
  description: 'Get Carousel wrapper'
- name: 'wrapperWidth'
  description: 'Get Carousel wrapper width'
- name: 'container'
  description: 'Get Carousel container'
- name: 'containerWidth'
  description: 'Get Carousel container width'
- name: 'slideWidth'
  description: 'Get slide with'
- name: 'transitioner'
  description: 'Get transitioner'